Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1344845 - [RFE] Add Mageia 6 and Mageia Cauldron chroots to COPR
Summary: [RFE] Add Mageia 6 and Mageia Cauldron chroots to COPR
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Copr
Classification: Community
Component: backend
Version: unspecified
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: clime
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-06-11 16:31 UTC by Neal Gompa
Modified: 2016-09-21 14:43 UTC (History)
0 users

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-09-21 14:43:17 UTC


Attachments (Terms of Use)
Mageia's Cauldron logo (128x128) PNG (deleted)
2016-06-11 16:32 UTC, Neal Gompa
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1365310 None None None Never

Internal Links: 1365310

Description Neal Gompa 2016-06-11 16:31:41 UTC
Description of problem:
Mageia has been working on implementing DNF as a package manager for the distribution for the upcoming Mageia 6[1]. One aspect of this is that we'd like to offer integration with Fedora COPR like what is available for Fedora and CentOS/RHEL releases.

For now, I (as the maintainer of the DNF stack in Mageia) have the copr plugin disabled and removed from the installed dnf-plugins-core package because it's not useful. However, I'd like to enable the plugin and allow people to be able to provide packages that work for Fedora and Mageia. As our two distributions are broadly compatible (with similar foundations), I've worked to increase compatibility from our side.

A few months ago, I spoke to Miroslav Suchý about this, and he has tentatively agreed to add Mageia release targets to COPR once Mageia chroot configs are in mock.

With the mock-1.2.18 release, Mageia 6 and Mageia Cauldron configs are shipped with mock for i586 (32-bit x86), x86_64 (64-bit x86), armv5tl, and armv7hl.

At the very minimum, I'd like to see i586 and x86_64 for Mageia 6 and Mageia Cauldron available as chroot/release targets for projects in COPR.

I've also attached an image provided by Donald Stewart (a member of the Mageia Atelier team) that is a 128x128 PNG of the Mageia cauldron logo.

I'd appreciate the addition of the Mageia 6 and Mageia Cauldron targets as soon as possible.

[1]: https://wiki.mageia.org/en/Feature:Add_DNF_as_Alternate_Repository_Manager

Comment 1 Neal Gompa 2016-06-11 16:32:09 UTC
Created attachment 1166916 [details]
Mageia's Cauldron logo (128x128) PNG

Comment 2 Miroslav Suchý 2016-06-15 14:23:56 UTC
Notes for myself:
[16:20] <Pharaoh_Atem> so "%mkrel 1" doesn't work
[16:20] <msuchy> what is mkrel
[16:20] <msuchy> ?
[16:21] <Pharaoh_Atem> it's the standard way we do release formulation in Mageia: https://wiki.mageia.org/en/Packaging_guidelines#Version_and_Release
[16:21] <Pharaoh_Atem> I have a variant of the macro available in https://copr.fedorainfracloud.org/coprs/ngompa/mga-compat-macros/ for Fedora

This need to be added to minimal chroot.

Comment 3 Neal Gompa 2016-06-23 00:37:25 UTC
As of now, Mageia 6 targets work, but Mageia Cauldron ones are broken.

See for example: http://copr-fe-dev.cloud.fedoraproject.org/coprs/ngompa/mageia/build/262570/

Comment 4 Neal Gompa 2016-07-14 12:13:15 UTC
Any progress on this? I'd really like to see Mageia 6 and Cauldron targets enabled on COPR. The Cauldron target still looks broken: http://copr-fe-dev.cloud.fedoraproject.org/coprs/ngompa/mageia/build/270642/

Also, would it make sense for me to submit my mga-srpm-compat-macros package for inclusion into Fedora proper? I can certainly do that, as it's a trivial package.

Comment 5 Neal Gompa 2016-09-21 14:43:17 UTC
Mageia 6 and Cauldron support is now live on copr.fedorainfracloud.org.


Note You need to log in before you can comment on or make changes to this bug.